]> git.pld-linux.org Git - packages/apache.git/blobdiff - apache.init
- new from 2.2 branch
[packages/apache.git] / apache.init
index f54568962c14bfd4baf449ea9ac645afd5d08904..ba1026959b2617f45ba8959ade1b9e9d08ab47e5 100644 (file)
 . /etc/sysconfig/network
 
 # Get service config
-[ -f /etc/sysconfig/apache ] && . /etc/sysconfig/apache
+[ -f /etc/sysconfig/httpd ] && . /etc/sysconfig/httpd
 
 # Check that networking is up.
 if is_yes "${NETWORKING}"; then
        if [ ! -f /var/lock/subsys/network -a "$1" != stop -a "$1" != status ]; then
-               # nls "ERROR: Networking is down. %s can't be run." <service>
                msg_network_down httpd
                exit 1
        fi
@@ -33,13 +32,14 @@ else
 fi
 
 [ -z "$HTTPD_MPM" ] && HTTPD_MPM="prefork"
-if   [ -d "${HTTPD_CONF:-'/etc/httpd/httpd.conf'}" ]; then
-       CFG="-f ${HTTPD_CONF:-'/etc/httpd/httpd.conf'}"
-elif [ -n "$HTTPD_CONF" ]; then
-       echo "error: HTTPD_CONF='$HTTPD_CONF': not a file, not a directory"
-       exit 1
-else
-       CFG=""
+
+if [ -n "${HTTPD_CONF}" ]; then
+       if [ -d "${HTTPD_CONF}" ] || [ -f "${HTTPD_CONF}" ]; then
+               CFG="-f ${HTTPD_CONF}"
+       else
+               echo "error: HTTPD_CONF='$HTTPD_CONF': not a file, not a directory"
+               exit 1
+       fi
 fi
 
 RETVAL=0
@@ -60,10 +60,9 @@ case "$1" in
        # Stop daemons.
        if [ -f /var/lock/subsys/httpd ]; then
                msg_stopping httpd.${HTTPD_MPM}
-               daemon --waitforname httpd.${HTTPD_MPM} --waitfortime 60 httpd.${HTTPD_MPM} $CFG -k stop
-               RET=$?
+               killproc --pidfile httpd.pid httpd.${HTTPD_MPM}
                # Delete pidfile only when apache was called successfully
-               if [ $RET -eq 0 ]; then
+               if [ $? -eq 0 ]; then
                        rm -f /var/lock/subsys/httpd /var/run/httpd.pid /var/run/httpd.loc* >/dev/null 2>&1
                fi
        else
@@ -76,14 +75,18 @@ case "$1" in
        /usr/sbin/httpd.${HTTPD_MPM} $CFG -S
        ;;
   restart)
-       $0 stop
+       $0 stop
        $0 start
        ;;
   reload|force-reload|graceful)
        if [ -f /var/lock/subsys/httpd ]; then
-               msg_reloading httpd.${HTTPD_MPM}
-               daemon httpd.${HTTPD_MPM} $CFG -k graceful
+               run_cmd "Checking httpd.${HTTPD_MPM} configuration" httpd.${HTTPD_MPM} $CFG -t
                RETVAL=$?
+               if [ $RETVAL -eq 0 ]; then
+                       msg_reloading httpd.${HTTPD_MPM}
+                       daemon httpd.${HTTPD_MPM} $CFG -k graceful
+                       RETVAL=$?
+               fi
        else
                msg_not_running httpd.${HTTPD_MPM} >&2
                RETVAL=7
This page took 0.065072 seconds and 4 git commands to generate.